/**
 * Test case for define.
 * Runs with mocha.
 */
'use strict'

const define = require('../lib/define.js')
const co = require('co')
const assert = require('assert')
const mkdirp = require('mkdirp')

const tmpDir = `${__dirname}/../`
const noop = () => undefined

describe('define', () => {
  before(() => co(function * () {
    mkdirp.sync(tmpDir)
  }))

  after(() => co(function * () {

  }))

  it('Define', () => co(function * () {
    let task = define({})
    assert.ok(task)
    let context = {
      verbose: false,
      logger: {
        info: noop,
        debug: noop,
        trace: noop
      }
    }
    yield task(context)
  }))
})

/* global describe, it, before, after */
